import { arr2obj } from "./data-transform";

export const initParams = (arr) => arr2obj(arr, "key", "value");

export const initComponents = (arr) =>
  arr2obj(
    arr
      .filter((column) => column.config && column.config.componentName)
      .map((column) => ({
        name: column.config.componentName,
        function: () =>
          import(
            `@/views/common-dialog/${column.config.componentName.toLocaleLowerCase()}.vue`
          ),
      })),
    "name",
    "function"
  );
